| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoMDC.registers.mre2_registers.OpticalFeedback Class Reference
Inheritance diagram for optoMDC.registers.mre2_registers.OpticalFeedback:

## Public Member Functions
| __init__ (self, board=None)
| GetOpticalFeedbackA (self)
| GetOpticalFeedbackB (self)
| GetAngleA (self)
| GetAngleB (self)
| GetPDValues (self)
| GetFilteredPDValues (self)
| GetPositionX (self)
| GetPositionY (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| of_a
| of_b
| x
| y
| x_stability_a
| x_stability_b
| v_stability_a
| v_stability_b
| pd0
| pd1
| pd2
| pd3
| fpd0
| fpd1
| fpd2
| fpd3
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    Device Functionality - Optical Feedback
    System ID: 0x23

    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name | Id   | Type        | Unit | Range | Default | Comment                                          |
    +===============+======+=============+======+=======+=========+==================================================+
    | of_a          | 0x00 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | of_b          | 0x01 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | x             | 0x02 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | y             | 0x03 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | x_stability_a | 0x04 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | x_stability_b | 0x05 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | v_stability_a | 0x06 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | v_stability_b | 0x07 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd0           | 0x08 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd1           | 0x09 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd2           | 0x0a |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | pd3           | 0x0b |float 32-bit |None  |       |          |                                                 |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd0          | 0x0c |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd1          | 0x0d |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd2          | 0x0e |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | fpd3          | 0x0f |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre2_registers.OpticalFeedback.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetAngleA()

optoMDC.registers.mre2_registers.OpticalFeedback.GetAngleA | ( |  | self | ) |

## ◆ GetAngleB()

optoMDC.registers.mre2_registers.OpticalFeedback.GetAngleB | ( |  | self | ) |

## ◆ GetFilteredPDValues()

optoMDC.registers.mre2_registers.OpticalFeedback.GetFilteredPDValues | ( |  | self | ) |

## ◆ GetOpticalFeedbackA()

optoMDC.registers.mre2_registers.OpticalFeedback.GetOpticalFeedbackA | ( |  | self | ) |

## ◆ GetOpticalFeedbackB()

optoMDC.registers.mre2_registers.OpticalFeedback.GetOpticalFeedbackB | ( |  | self | ) |

## ◆ GetPDValues()

optoMDC.registers.mre2_registers.OpticalFeedback.GetPDValues | ( |  | self | ) |

## ◆ GetPositionX()

optoMDC.registers.mre2_registers.OpticalFeedback.GetPositionX | ( |  | self | ) |

## ◆ GetPositionY()

optoMDC.registers.mre2_registers.OpticalFeedback.GetPositionY | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre2_registers.OpticalFeedback.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre2_registers.OpticalFeedback._is_a_system = True
| static protected

## ◆ fpd0

optoMDC.registers.mre2_registers.OpticalFeedback.fpd0

## ◆ fpd1

optoMDC.registers.mre2_registers.OpticalFeedback.fpd1

## ◆ fpd2

optoMDC.registers.mre2_registers.OpticalFeedback.fpd2

## ◆ fpd3

optoMDC.registers.mre2_registers.OpticalFeedback.fpd3

## ◆ name

optoMDC.registers.mre2_registers.OpticalFeedback.name

## ◆ of_a

optoMDC.registers.mre2_registers.OpticalFeedback.of_a

## ◆ of_b

optoMDC.registers.mre2_registers.OpticalFeedback.of_b

## ◆ pd0

optoMDC.registers.mre2_registers.OpticalFeedback.pd0

## ◆ pd1

optoMDC.registers.mre2_registers.OpticalFeedback.pd1

## ◆ pd2

optoMDC.registers.mre2_registers.OpticalFeedback.pd2

## ◆ pd3

optoMDC.registers.mre2_registers.OpticalFeedback.pd3

## ◆ sys_id

optoMDC.registers.mre2_registers.OpticalFeedback.sys_id

## ◆ v_stability_a

optoMDC.registers.mre2_registers.OpticalFeedback.v_stability_a

## ◆ v_stability_b

optoMDC.registers.mre2_registers.OpticalFeedback.v_stability_b

## ◆ x

optoMDC.registers.mre2_registers.OpticalFeedback.x

## ◆ x_stability_a

optoMDC.registers.mre2_registers.OpticalFeedback.x_stability_a

## ◆ x_stability_b

optoMDC.registers.mre2_registers.OpticalFeedback.x_stability_b

## ◆ y

optoMDC.registers.mre2_registers.OpticalFeedback.y

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre2_registers.py